%define glib2_version 2.0.3
%define pango_version 1.0.99
%define gtk2_version 2.0.5
%define libgnomeui_version 2.0.0
%define gail_version 0.17-2
%define desktop_file_utils_version 0.2.90
%define gettext_package gnome-media-2.0

Summary:        Marlin Sound Editor
Name:           marlin
Version:        0.9
Release:        1
Copyright:      GPL
Group:          Applications/Multimedia
Source:         ftp://ftp.gnome.org/pub/GNOME/sources/gnome2/marlin/marlin-%{version}.tar.gz
BuildRoot:      %{_tmppath}/%{name}-%{PACKAGE_VERSION}-root
URL:            http://marlin.sf.net

BuildRequires:  glib2-devel >= %{glib2_version}
BuildRequires:  pango-devel >= %{pango_version}
BuildRequires:  gtk2-devel >= %{gtk2_version}
BuildRequires:  fontconfig
BuildRequires:  gstreamer-devel => @GST_MAJORMINOR@
BuildRequires:  desktop-file-utils >= %{desktop_file_utils_version}
Requires:	gstreamer >= @GST_MAJORMINOR@
Requires:	scrollkeeper >= 0.3.8

%description
Marlin is a Sound Editor using the popular GStreamer media framework

%prep
%setup

%build
%configure
make

%install
rm -rf $RPM_BUILD_ROOT

export GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL=1
%makeinstall
unset GCONF_DISABLE_MAKEFILE_SCHEMA_INSTALL

# Clean out files that should not be part of the rpm.
# This is the recommended way of dealing with it for RH8
rm -f $RPM_BUILD_ROOT%{_libdir}/*.a
rm -f $RPM_BUILD_ROOT%{_libdir}/*.la
rm -rf $RPM_BUILD_ROOT/var/scrollkeeper/*

%clean
rm -rf $RPM_BUILD_ROOT

%post
scrollkeeper-update -q
export GCONF_CONFIG_SOURCE=`gconftool-2 --get-default-source`
gconftool-2 --makefile-install-rule %{_sysconfdir}/gconf/schemas/marlin.schemas > /dev/null
/sbin/ldconfig

%postun
scrollkeeper-update
/sbin/ldconfig

%files
%defattr(-, root, root)
%doc AUTHORS COPYING ChangeLog NEWS README
# %{_datadir}/applications/gstreamer-properties.desktop
%{_includedir}/libmarlin/*
%{_datadir}/pixmaps/marlin
%{_datadir}/omf/marlin
%{_datadir}/gnome/help/marlin
%{_datadir}/marlin/ui/*.xml
%{_datadir}/locale/*
%{_datadir}/applications/marlin.desktop
%{_libdir}/*
%{_bindir}/marlin
%{_sysconfdir}/gconf/schemas/*.schemas

%changelog
* Fri Sep 17 2004 Christian Schaller <christian@fluendo.com>
- Add .desktop file to spec
* Sun Dec 14 2003 Christian Schaller <Uraeus@gnome.org>
-first attempt at SPEC
